SatBinomRecorder Class Reference

SatBinomRecorder records all consumed saturated binomials into a passed-in ideal. More...

`#include <SatBinomRecorder.h>`

Inheritance diagram for SatBinomRecorder:

## Public Member Functions

| SatBinomRecorder (SatBinomIdeal &ideal)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const vector< mpz_class > &term)
virtual void | doneConsuming ()
Public Member Functions inherited from SatBinomConsumer
virtual | ~SatBinomConsumer ()
virtual void | consume (const SatBinomIdeal &ideal)
void | beginConsuming (const VarNames &names)

## Private Attributes

SatBinomIdeal & | _ideal

## Detailed Description

SatBinomRecorder records all consumed saturated binomials into a passed-in ideal.

Definition at line 27 of file SatBinomRecorder.h.

## Constructor & Destructor Documentation

## SatBinomRecorder()

SatBinomRecorder::SatBinomRecorder | ( | SatBinomIdeal & | ideal | ) |

Definition at line 22 of file SatBinomRecorder.cpp.

## Member Function Documentation

## beginConsuming()

void SatBinomRecorder::beginConsuming | ( |  | ) |

virtual

Implements SatBinomConsumer.

Definition at line 30 of file SatBinomRecorder.cpp.

## consume()

void SatBinomRecorder::consume | ( | const vector< mpz_class > & | term | ) |

virtual

Implements SatBinomConsumer.

Definition at line 33 of file SatBinomRecorder.cpp.

## consumeRing()

void SatBinomRecorder::consumeRing | ( | const VarNames & | names | ) |

virtual

Implements SatBinomConsumer.

Definition at line 26 of file SatBinomRecorder.cpp.

## doneConsuming()

void SatBinomRecorder::doneConsuming | ( |  | ) |

virtual

Implements SatBinomConsumer.

Definition at line 37 of file SatBinomRecorder.cpp.

## Member Data Documentation

## _ideal

SatBinomIdeal& SatBinomRecorder::_ideal

private

Definition at line 37 of file SatBinomRecorder.h.

The documentation for this class was generated from the following files:

- src/SatBinomRecorder.h
- src/SatBinomRecorder.cpp